Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451725 - reoptrack failing
Summary: reoptrack failing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 8
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 23:06 UTC by Ian Mortimer
Modified: 2008-09-10 07:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 10:47:55 UTC


Attachments (Terms of Use)

Description Ian Mortimer 2008-06-16 23:06:58 UTC
Description of problem:
After the latest yum-utils upgrade is failing


Version-Release number of selected component (if applicable):
yum-utils-1.1.14-4.fc8


How reproducible:
always


Steps to Reproduce:
1. install or upgrade to yum-utils-1.1.14-4.fc8
2. run repotrack command e.g.: repotrack -r updates yum
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/repotrack", line 258, in <module>
    main()
  File "/usr/bin/repotrack", line 168, in main
    self._getSacks(archlist=archlist, thisrepo=repo.id)
NameError: global name 'self' is not defined


Expected results:
Should download latest yum and dependencies.


Additional info:
Tried this with different repos, some remote (through a proxy normally) and some
local.  With or without the proxy made no difference.  Local or remote the same.
 http:// or file:// baseurl the same.

Comment 2 Fedora Update System 2008-08-07 14:00:10 UTC
yum-utils-1.1.15-1.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-08-07 14:05:49 UTC
yum-utils-1.1.15-1.fc8 has been submitted as an update for Fedora 8

Comment 4 Fedora Update System 2008-09-10 06:47:26 UTC
yum-utils-1.1.15-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-09-10 07:05:08 UTC
yum-utils-1.1.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.